//**************************************************
// Copyright (c) 2015 Cisco Systems, Inc.
// All rights reserved.
//**************************************************
package com.cisco.ise.ers.demo;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * DemoAppHelpers provides helper methods 
 *
 */
public class DemoAppHelpers {
	
	
	
	
	public static void demoApprove() {
		

		System.out.println("\n###############################################################" + 
                           "\n#                                                             #" +
                           "\n#  Welcome to the ERS Demo Application                        #" +
                           "\n#                                                             #" +
                           "\n#  This Demo app will create, delete and update objects in    #" +
                           "\n#  the ISE Database.                                          #" +
                           "\n#  !!! DO NOT RUN ON YOUR REAL ISE ENVIRONMENT !!!            #" +
                           "\n#                                                             #" +
                           "\n#  It should only be tested in your Lab, on an ISE DB which   #" +
                           "\n#  is not important to you.                                   #" +
                           "\n#  We recommend you carefully read the Demo source code to    #" +
                           "\n#  understand the changes that will be made.                  #" +
                           "\n#                                                             #" +
                           "\n#  Are you sure you want to continue?                         #" +
                           "\n#                                                             #" +
                           "\n#  By choosing YES you approve you have read the above and    #" +
                           "\n#  understand that the demo should run on a non-production    #" +
                           "\n#  ISE server.                                                #" +
                           "\n#                                                             #" +
                           "\n#  [Yes]     [No].                                            #" +		            
                           "\n#                                                             #" +
                           "\n###############################################################");
		try {
			while (true){

			    BufferedReader bufferRead = new BufferedReader(new InputStreamReader(System.in));
			    String s = bufferRead.readLine();
			    if (s.equalsIgnoreCase("yes")){
			    	break;
			    }
			    else if (s.equalsIgnoreCase("no")){
			    	System.out.println("Demo canceled.");
			    	System.exit(0);
			    } else {
			    	System.out.println("Enter YES or NO.  Read the warning above, then enter YES to continue or NO to abort.");
			    }
			}
			
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			System.exit(1);
		}   
		   
		   
	}

}
